# Uses of Interface
org.eclipse.ui.intro.IIntroPart

Packages that use IIntroPart
Package
Description
org.eclipse.ui.internal
org.eclipse.ui.intro
Application programming interfaces for interaction with and extension of the product introduction parts.
org.eclipse.ui.intro.config
Provides support for customizing welcome content and presentation.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of IIntroPart in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return IIntroPart
Modifier and Type
Method
Description
`IIntroPart`
WorkbenchIntroManager.`getIntro()`
`IIntroPart`
WorkbenchIntroManager.`showIntro(IWorkbenchWindow preferredWindow, boolean standby)`
Methods in org.eclipse.ui.internal with parameters of type IIntroPart
Modifier and Type
Method
Description
`boolean`
WorkbenchIntroManager.`closeIntro(IIntroPart part)`
`boolean`
WorkbenchIntroManager.`isIntroStandby(IIntroPart part)`
`void`
WorkbenchIntroManager.`setIntroStandby(IIntroPart part, boolean standby)`

## Uses of IIntroPart in org.eclipse.ui.intro

Methods in org.eclipse.ui.intro that return IIntroPart
Modifier and Type
Method
Description
`IIntroPart`
IIntroManager.`getIntro()`
Returns the intro part.
`IIntroPart`
IIntroManager.`showIntro(IWorkbenchWindow preferredWindow, boolean standby)`
Shows the intro part in the given workbench window.
Methods in org.eclipse.ui.intro with parameters of type IIntroPart
Modifier and Type
Method
Description
`boolean`
IIntroManager.`closeIntro(IIntroPart part)`
Closes the given intro part.
`boolean`
IIntroManager.`isIntroStandby(IIntroPart part)`
Return the standby state of the given intro part.
`void`
IIntroManager.`setIntroStandby(IIntroPart part, boolean standby)`
Sets the standby state of the given intro part.

## Uses of IIntroPart in org.eclipse.ui.intro.config

Classes in org.eclipse.ui.intro.config that implement IIntroPart
Modifier and Type
Class
Description
`final class`
`CustomizableIntroPart`
A re-usable intro part that the Eclipse platform uses for its Out of the Box Experience.
Methods in org.eclipse.ui.intro.config with parameters of type IIntroPart
Modifier and Type
Method
Description
`void`
IStandbyContentPart.`init(IIntroPart introPart, IMemento memento)`
Initializes this intro standby content part with the given intro site.

## Uses of IIntroPart in org.eclipse.ui.part

Classes in org.eclipse.ui.part that implement IIntroPart
Modifier and Type
Class
Description
`class`
`IntroPart`
Abstract base implementation of an intro part.